Skip to content
Myra Online Help Updated · 21 Aug 2026

Listing all SSL/TLS requests

Note

If the query parameter status is not set, the response contains only requests with the status OPEN, FAILED, or WAITING_FOR_CNAME.

Sends a GET request to the endpoint /ssl/requests.

Description

The ListSslRequests request returns all SSL/TLS requests of the organisation.

Requirements

Values of the request: none Objects: none

Request

The following query parameters are optional and can be added to the request:

Attributes Description Values
search A search term to filter the results. string
page The page number of the result set. integer
pageSize The number of results per page. integer
language The language of the request. string
domain The ID or the name of the domain by which the results are filtered. string
status A comma-separated list of statuses by which the results are filtered.
  • OPEN
  • CREATED
  • FAILED
  • WAITING_FOR_CNAME

The object provides the following information:

Attributes Description Values
id The ID of the SSL/TLS request. integer
algorithm The key algorithm used for the certificate.
  • RSA2048
  • RSA4096
  • RSA8192
  • ECDSA256
  • ECDSA384
provider The SSL/TLS provider that issues the certificate.
  • LETS_ENCRYPT
  • SECTIGO
  • DTRUST
status The status of the SSL/TLS request.
  • OPEN
  • CREATED
  • FAILED
  • WAITING_FOR_CNAME
subjectAlternativeNames An array of SslCertRequestSanVO objects. array
assignments An array of SslCertRequestAssignmentVO objects. array
multiDomain Shows whether the SSL/TLS request covers more than one domain.
  • true
  • false
sslProviderCredentialsId The ID of the SslProviderCredentials object used to issue the certificate. integer
renewalInterval The number of days before expiry of the certificate at which the certificate is renewed. integer
signatureAlgorithm The signature algorithm used for the certificate. string
created The creation date of the SSL/TLS request, in ISO 8601 format. string($date-time)
modified The date of the last change, in ISO 8601 format. string($date-time)

Example

Example response:

[
  {
    "search": "string",
    "page": 0,
    "pageSize": 0,
    "language": "string",
    "domain": "string",
    "status": "OPEN"
  }
]

Responses

The following responses are available:

STATUS CODE DESCRIPTION
200 The request has succeeded.
401 The request has not succeeded because the user authentication was incorrect.
403 The request has not succeeded because the user does not have the right permissions.